package com.artfess.bpm.engine;

import com.artfess.bpm.api.engine.BpmxEngine;
import com.artfess.bpm.api.service.BpmDefinitionService;
import com.artfess.bpm.api.service.BpmHistoryService;
import com.artfess.bpm.api.service.BpmInstService;
import com.artfess.bpm.api.service.BpmOpinionService;
import com.artfess.bpm.api.service.BpmTaskService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class DefaultBpmxEngine implements BpmxEngine {

	@Resource
	private BpmTaskService bpmTaskService;

	@Resource
	private BpmDefinitionService bpmDefinitionService;
	
	@Resource
	private BpmInstService bpmInstService;
	
	@Resource
	private BpmHistoryService bpmHistoryService;
	
	@Resource
	BpmOpinionService bpmOpinionService ; 
	
	@Override
	public String getName() {
		return "x5";
	}

	@Override
	public BpmTaskService getBpmTaskService() {
		return bpmTaskService;
	}

	@Override
	public BpmDefinitionService getBpmDefinitionService() {
		return bpmDefinitionService;
	}

	@Override
	public BpmInstService getBpmInstService() {
		return bpmInstService;
	}

	@Override
	public BpmHistoryService getBpmHistoryService() {
		return bpmHistoryService;
	}

	@Override
	public BpmOpinionService getBpmOpinionService() {
		return bpmOpinionService;
	}
	
}
